## pgq 3.2.6-34

=== Makefile ===

EXTENSION = pgq

EXT_VERSION = 3.2.6
EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.2 3.1.3 3.1.6 3.2 3.2.3

PGQ_TESTS = pgq_core pgq_core_disabled pgq_core_tx_limit \
	    pgq_session_role pgq_perms \
	    trigger_base trigger_sess_role trigger_types trigger_trunc trigger_ignore \
	    trigger_pkey trigger_deny trigger_when trigger_extra_args trigger_extra_cols \
	    \
	    clean_ext pgq_init_ext \
	    switch_plonly \
	    \
	    pgq_core pgq_core_disabled \
	    pgq_session_role pgq_perms \
	    trigger_base trigger_sess_role trigger_types trigger_trunc trigger_ignore \
	    trigger_pkey trigger_deny trigger_when trigger_extra_args trigger_extra_cols \

# comment it out if not wanted
#UPGRADE_TESTS = pgq_init_upgrade $(PGQ_TESTS) clean

Contrib_data = structure/uninstall_pgq.sql
Contrib_data_built = pgq_pl_only.sql pgq_pl_only.upgrade.sql

Contrib_regress   = $(UPGRADE_TESTS) pgq_init_noext $(PGQ_TESTS)
Extension_regress = $(UPGRADE_TESTS) pgq_init_ext $(PGQ_TESTS)

include mk/common-pgxs.mk

SUBDIRS = lowlevel triggers

# PGXS does not have subdir support, thus hack to recurse into lowlevel/
all: sub-all
install: sub-install
clean: sub-clean
distclean: sub-distclean
sub-all sub-install sub-clean sub-distclean:
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $(subst sub-,,$@) \
			DESTDIR=$(DESTDIR) \
			PG_CONFIG=$(PG_CONFIG) \
		|| exit 1; \
	done

lowlevel/pgq_lowlevel.sql: sub-all
triggers/pgq_triggers.sql: sub-all

PLONLY_SRCS = lowlevel_pl/insert_event.sql lowlevel_pl/logutriga.sql lowlevel_pl/sqltriga.sql

pgq_pl_only.sql: $(SRCS) $(PLONLY_SRCS)
	$(CATSQL) structure/install_pl.sql $(GRANT_SQL) > $@

pgq_pl_only.upgrade.sql: $(SRCS) $(PLONLY_SRCS)
	$(CATSQL) structure/upgrade_pl.sql $(GRANT_SQL) > $@

plonly: pgq_pl_only.sql pgq_pl_only.upgrade.sql

#
# docs
#
dox: cleandox $(SRCS)
	mkdir -p docs/html
	mkdir -p docs/sql
	$(CATSQL) --ndoc structure/tables.sql > docs/sql/schema.sql
	$(CATSQL) --ndoc structure/func_public.sql > docs/sql/external.sql
	$(CATSQL) --ndoc structure/func_internal.sql > docs/sql/internal.sql
	$(CATSQL) --ndoc structure/triggers.sql > docs/sql/triggers.sql
	$(NDOC) $(NDOCARGS)

doxsync:
	for m in pgq_coop pgq_node pgq_ext londiste; do \
		cp docs/Topics.txt docs/Languages.txt ../$$m/docs; \
	done

deb:
	make -f debian/rules genfiles
	debuild -us -uc -b

debclean:
	make -f debian/rules debclean

## pgq 3.2.6

=== debian/changelog ===
pgq (3.2.6-7) unstable; urgency=medium

  * Make structure/newgrants_pgq.sql before running tests.

 -- Christoph Berg <myon@debian.org>  Sun, 05 Nov 2017 17:54:20 +0100

pgq (3.2.6-6) unstable; urgency=medium

  * Initial Debian upload.
  * This package is taking over the postgresql-*-pgq3 package namespace from
    the former skytools3 package, last seen at version 3.2.6-5.
  * Packaging based on upstream packaging, which in turn is based on our old
    skytools3 packaging.

 -- Christoph Berg <myon@debian.org>  Sat, 28 Oct 2017 22:04:57 +0200

=== debian/control ===
Source: pgq
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9),
 naturaldocs,
 python,
 postgresql-server-dev-all,
Standards-Version: 4.1.1
Homepage: https://github.com/pgq/pgq
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgq.git
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgq.git

Package: postgresql-10-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10, pgqd
Description: Generic queue for PostgreSQL
 This extension provides generic queues for PostgreSQL.
 .
 It allows multiple queues in one database, each queue can
 be consumed by multiple consumers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@

override_dh_auto_build:

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-pgq3
	$(MAKE) dox NDOC=naturaldocs

override_dh_installdocs:
	dh_installdocs --all docs/html

override_dh_auto_test:

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, make, python
Tests: installcheck
Restrictions: allow-stderr

## pgq 3.2.6-34-g50068b2

=== debian/changelog ===
pgq (3.2.6-34-g50068b2-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 09:45:05 +0100

pgq (3.2.6-34-g50068b2-1) unstable; urgency=medium

  * Add debian/gitlab-ci.yml.
  * New upstream snapshot.
  * Port to python3. (Closes: #937278)

 -- Christoph Berg <myon@debian.org>  Mon, 16 Sep 2019 17:05:48 +0200

pgq (3.2.6-8) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Fix build failures with PG 11.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 18:03:47 +0200

=== debian/control ===
Source: pgq
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9),
 naturaldocs,
 python3,
 postgresql-server-dev-all,
Standards-Version: 4.4.0
Homepage: https://github.com/pgq/pgq
Vcs-Browser: https://salsa.debian.org/postgresql/pgq
Vcs-Git: https://salsa.debian.org/postgresql/pgq.git

Package: postgresql-12-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-12, pgqd
Description: Generic queue for PostgreSQL
 This extension provides generic queues for PostgreSQL.
 .
 It allows multiple queues in one database, each queue can
 be consumed by multiple consumers.

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, make, python3
Tests: installcheck
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/pgq/pgq/releases .*/v(.*).tar.gz

## pgq 3.4

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 EXTENSION = pgq
 
-EXT_VERSION = 3.2.6
-EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.2 3.1.3 3.1.6 3.2 3.2.3
+EXT_VERSION = 3.4
+EXT_OLD_VERSIONS = 3.2 3.2.3 3.2.6 3.3.1
 
 PGQ_TESTS = pgq_core pgq_core_disabled pgq_core_tx_limit \
 	    pgq_session_role pgq_perms \

=== debian/changelog ===
pgq (3.4-1) unstable; urgency=medium

  * New upstream version.
  * Restrict watch file to git tarballs.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Aug 2020 11:57:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
  naturaldocs,
  python3,
  postgresql-server-dev-all,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/pgq/pgq
 Vcs-Browser: https://salsa.debian.org/postgresql/pgq
 Vcs-Git: https://salsa.debian.org/postgresql/pgq.git

## pgq 3.4.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 EXTENSION = pgq
 
-EXT_VERSION = 3.4
-EXT_OLD_VERSIONS = 3.2 3.2.3 3.2.6 3.3.1
+EXT_VERSION = 3.4.1
+EXT_OLD_VERSIONS = 3.2 3.2.3 3.2.6 3.3.1 3.4
 
 PGQ_TESTS = pgq_core pgq_core_disabled pgq_core_tx_limit \
 	    pgq_session_role pgq_perms \

=== debian/changelog ===
pgq (3.4.1-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 20 Oct 2020 13:25:02 +0200

pgq (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Oct 2020 13:25:02 +0200

pgq (3.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Make tests depend on structure/newgrants_pgq.sql instead of creating it
    explicitly.
  * Use dh --with pgxs_loop.
  * R³: no.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Oct 2020 22:21:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,48 @@
 Build-Depends: debhelper-compat (= 13),
  naturaldocs,
  python3,
- postgresql-server-dev-all,
+ postgresql-all (>= 217~),
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/pgq/pgq
 Vcs-Browser: https://salsa.debian.org/postgresql/pgq
 Vcs-Git: https://salsa.debian.org/postgresql/pgq.git
+
+Package: postgresql-9.5-pgq3
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5, pgqd
+Description: Generic queue for PostgreSQL
+ This extension provides generic queues for PostgreSQL.
+ .
+ It allows multiple queues in one database, each queue can
+ be consumed by multiple consumers.
+
+Package: postgresql-9.6-pgq3
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6, pgqd
+Description: Generic queue for PostgreSQL
+ This extension provides generic queues for PostgreSQL.
+ .
+ It allows multiple queues in one database, each queue can
+ be consumed by multiple consumers.
+
+Package: postgresql-10-pgq3
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10, pgqd
+Description: Generic queue for PostgreSQL
+ This extension provides generic queues for PostgreSQL.
+ .
+ It allows multiple queues in one database, each queue can
+ be consumed by multiple consumers.
+
+Package: postgresql-11-pgq3
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11, pgqd
+Description: Generic queue for PostgreSQL
+ This extension provides generic queues for PostgreSQL.
+ .
+ It allows multiple queues in one database, each queue can
+ be consumed by multiple consumers.
 
 Package: postgresql-12-pgq3
 Architecture: any
@@ -20,3 +57,12 @@
  .
  It allows multiple queues in one database, each queue can
  be consumed by multiple consumers.
+
+Package: postgresql-13-pgq3
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-13, pgqd
+Description: Generic queue for PostgreSQL
+ This extension provides generic queues for PostgreSQL.
+ .
+ It allows multiple queues in one database, each queue can
+ be consumed by multiple consumers.

=== debian/watch ===
version=4
https://github.com/pgq/pgq/releases .*/v([^/]*).tar.gz

## pgq 3.5

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,14 @@
 
 EXTENSION = pgq
 
-EXT_VERSION = 3.4.1
-EXT_OLD_VERSIONS = 3.2 3.2.3 3.2.6 3.3.1 3.4
+EXT_VERSION = 3.5
+EXT_OLD_VERSIONS = 3.2 3.2.3 3.2.6 3.3.1 3.4 3.4.1 3.4.2
 
 PGQ_TESTS = pgq_core pgq_core_disabled pgq_core_tx_limit \
 	    pgq_session_role pgq_perms \
 	    trigger_base trigger_sess_role trigger_types trigger_trunc trigger_ignore \
 	    trigger_pkey trigger_deny trigger_when trigger_extra_args trigger_extra_cols \
+	    trigger_backup \
 	    \
 	    clean_ext pgq_init_ext \
 	    switch_plonly \
@@ -16,6 +17,7 @@
 	    pgq_session_role pgq_perms \
 	    trigger_base trigger_sess_role trigger_types trigger_trunc trigger_ignore \
 	    trigger_pkey trigger_deny trigger_when trigger_extra_args trigger_extra_cols \
+	    trigger_backup
 
 # comment it out if not wanted
 #UPGRADE_TESTS = pgq_init_upgrade $(PGQ_TESTS) clean
@@ -73,10 +75,3 @@
 		cp docs/Topics.txt docs/Languages.txt ../$$m/docs; \
 	done
 
-deb:
-	make -f debian/rules genfiles
-	debuild -us -uc -b
-
-debclean:
-	make -f debian/rules debclean
-

=== debian/changelog ===
pgq (3.5-4.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 12 Sep 2024 11:46:42 +0200

pgq (3.5-4) unstable; urgency=medium

  * Remove myself from Uploaders.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Sep 2024 11:46:42 +0200

pgq (3.5-3) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 15:40:29 +0200

pgq (3.5-2) unstable; urgency=medium

  * Add patch to support PG16.

 -- Christoph Berg <myon@debian.org>  Sun, 30 Jul 2023 08:47:25 +0000

pgq (3.5-1) unstable; urgency=medium

  * New upstream version 3.5.
  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 14:02:13 +0200

pgq (3.4.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Oct 2021 13:30:00 +0200

=== debian/control ===
Source: pgq
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: 
Build-Depends: debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 naturaldocs,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
 python3,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/pgq/pgq
Vcs-Browser: https://salsa.debian.org/postgresql/pgq
Vcs-Git: https://salsa.debian.org/postgresql/pgq.git

Package: postgresql-10-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}, pgqd
Description: Generic queue for PostgreSQL
 This extension provides generic queues for PostgreSQL.
 .
 It allows multiple queues in one database, each queue can
 be consumed by multiple consumers.

Package: postgresql-11-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}, pgqd
Description: Generic queue for PostgreSQL
 This extension provides generic queues for PostgreSQL.
 .
 It allows multiple queues in one database, each queue can
 be consumed by multiple consumers.

Package: postgresql-12-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}, pgqd
Description: Generic queue for PostgreSQL
 This extension provides generic queues for PostgreSQL.
 .
 It allows multiple queues in one database, each queue can
 be consumed by multiple consumers.

Package: postgresql-13-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}, pgqd
Description: Generic queue for PostgreSQL
 This extension provides generic queues for PostgreSQL.
 .
 It allows multiple queues in one database, each queue can
 be consumed by multiple consumers.

Package: postgresql-14-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}, pgqd
Description: Generic queue for PostgreSQL
 This extension provides generic queues for PostgreSQL.
 .
 It allows multiple queues in one database, each queue can
 be consumed by multiple consumers.

Package: postgresql-15-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}, pgqd
Description: Generic queue for PostgreSQL
 This extension provides generic queues for PostgreSQL.
 .
 It allows multiple queues in one database, each queue can
 be consumed by multiple consumers.

Package: postgresql-16-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}, pgqd
Description: Generic queue for PostgreSQL
 This extension provides generic queues for PostgreSQL.
 .
 It allows multiple queues in one database, each queue can
 be consumed by multiple consumers.

Package: postgresql-17-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${postgresql:Depends}, pgqd
Description: Generic queue for PostgreSQL
 This extension provides generic queues for PostgreSQL.
 .
 It allows multiple queues in one database, each queue can
 be consumed by multiple consumers.

## pgq 3.5.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 EXTENSION = pgq
 
-EXT_VERSION = 3.5
-EXT_OLD_VERSIONS = 3.2 3.2.3 3.2.6 3.3.1 3.4 3.4.1 3.4.2
+EXT_VERSION = 3.5.1
+EXT_OLD_VERSIONS = 3.2 3.2.3 3.2.6 3.3.1 3.4 3.4.1 3.4.2 3.5
 
 PGQ_TESTS = pgq_core pgq_core_disabled pgq_core_tx_limit \
 	    pgq_session_role pgq_perms \

=== lowlevel_pl/Makefile ===


all:
clean:

install: all
distclean: clean

=== triggers/Makefile ===


MODULE_big = pgq_triggers
SRCS = logtriga.c logutriga.c sqltriga.c jsontriga.c \
       common.c makesql.c stringutil.c \
       parsesql.c qbuilder.c
OBJS = $(SRCS:.c=.o)
DATA = pgq_triggers.sql

PG_CONFIG = pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

cs:
	cscope -b -f .cscope.out *.c

=== debian/changelog ===
pgq (3.5.1-2) unstable; urgency=medium

  * Team upload for PostgreSQL 18. (Closes: #1117309)
  * Add Tomasz Rybak as Uploader. (Closes: #945468)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 17:54:50 +0200

pgq (3.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.1.

 -- Michael Banck <mbanck@debian.org>  Tue, 15 Apr 2025 16:59:31 +0200

=== debian/control ===
Source: pgq
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Tomasz Rybak <serpent@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 naturaldocs,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
 python3,
Standards-Version: 4.7.2
Homepage: https://github.com/pgq/pgq
Vcs-Browser: https://salsa.debian.org/postgresql/pgq
Vcs-Git: https://salsa.debian.org/postgresql/pgq.git

Package: postgresql-18-pgq3
Architecture: any
Depends:
 pgqd,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Generic queue for PostgreSQL
 This extension provides generic queues for PostgreSQL.
 .
 It allows multiple queues in one database, each queue can
 be consumed by multiple consumers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	$(MAKE) dox NDOC=naturaldocs
	dh_installdocs --all docs/html

override_dh_pgxs_test:
	pg_buildext -i '--auth=trust' installcheck . . postgresql-%v-pgq3

=== debian/tests/control ===
Depends:
 postgresql-common-dev,
 python3,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
https://github.com/pgq/pgq/tags .*/v([^/]*).tar.gz
